﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghra_Job (服务)
	/// </summary>
    public class Ghra_JobServices : BaseServices<Ghra_Job, Ghra_JobDto, InsertGhra_JobInput, EditGhra_JobInput>, IGhra_JobServices
    {
        private readonly IBaseRepository<Ghra_Job> _dal;
        public Ghra_JobServices(ICaching caching, IBaseRepository<Ghra_Job> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}